# Cruz Ruby

[![Gem Version](https://badge.fury.io/rb/cruz-ruby.svg)](https://badge.fury.io/rb/cruz-ruby)

The Licence Library provides convenient access to the [AtGames License Service API](https://license.atgames.com/doc/) from applications written in the Ruby language. 

## Basic Usage

    require 'cruz'

    curz_client = Cruz.client(
      username: 'api_atgames_user',
      app_id: '79cf9bb2-e7f5-448f-b996-c52e4b2bb351',
      api_key: 'e6a69096fb94d91971ccc69b1770b9f3'
    )

## Keys
[License Keys API](https://license.atgames.com/doc/#api-Keys)

Request Product Keys for a SKU

```ruby
response = genba_client.keys.get_keys('84d90a06-f458-4ed8-8f3d-91aa84cc6577', 1)

response[:status]
response[:keys]
```

Trade in Product key

```ruby
response = genba_client.keys.trade_in('84d90a06-f458-4ed8-8f3d-91aa84cc6577', 1)

response[:status]
response[:key_status]
```

Deactive Product key

```ruby
response = genba_client.keys.deactive('84d90a06-f458-4ed8-8f3d-91aa84cc6577', 1)

response[:status]
response[:key_status]
```

